[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.GetEditMask

Gets the edit mask for the specified cell.

## Declaration

Source position: grids.pas line 1428

`protected function TCustomDrawGrid.GetEditMask(`
`aCol: LongInt;`
`aRow: LongInt`
`):string; override;`

## Arguments

`aCol` |  | Column for the cell.
`aRow` |  | Row number for the cell.

## Function result

Edit mask used for the specified cell.

## Description

GetEditMask is an overridden method in TCustomDrawGrid. It re-implements the method from the ancestor class, and does not call the inherited method.

GetEditMask sets the return value to an empty string ('') by default. It signals the OnGetEditMask event handler (when assigned) to get the edit mask used in the editor for the grid cell.

GetEditMask is called from the EditorDoSetValue method in the ancestor class, and occurs when the editor control retrieves and validates the value for the specified cell.

## See also

TCustomDrawGrid.OnGetEditMask |  | Event handler signalled to get the edit mask used for a grid cell.
TCustomGrid.GetEditMask |  | Gets the edit mask for the specified cell.
TCustomGrid.EditorDoSetValue |  | Sets the mask and value for a visible cell editor in the grid control.